#ineractSvg {
    max-width: 100%;
    max-height: 100%; 
    margin: 0 auto;
}

.animal-text {
    font-size: 20px;
    text-anchor: middle;
    dominant-baseline: middle;
}

/* Общие стили текста */
.animal-text-svg {
  font-size: 20px;
  text-anchor: middle;
}


.animal-name-svg {
    font-size: 14px;
    text-anchor: middle;
    dominant-baseline: middle;
}

.dot {
    fill: black;
}

/* Цвета для сезонов */
.spring {
    stroke: #00b200;
    fill: #00b200;
}

.summer {
    stroke: #df0000;
    fill: #df0000;
}

.autumn {
    stroke: gray;
    fill: gray;
}

.winter {
    stroke: blue;
    fill: blue;
}

/* Стили для линий */
.conflict-line {
    stroke: red;
    stroke-width: 2;
}

.merge-line {
    stroke: #4bbb36;
    stroke-width: 2;
}

.harm-line {
    stroke: orange;
    stroke-width: 2;
}

.damage-line {
    stroke: gray;
    stroke-width: 1;
}

.season-line {
    stroke-width: 2;
    stroke-dasharray: 5,5;
    opacity: 0.7;
}

.season-text {
    font-size: 14px;
    text-anchor: middle;
    dominant-baseline: middle;
}